# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDOIDAndVersion

Packages that use CDOIDAndVersion
Package
Description
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return types with arguments of type CDOIDAndVersion
Modifier and Type
Method
Description
`List<CDOIDAndVersion>`
CDOChangeSetData.`getDetachedObjects()`
Returns a list of keys denoting which revisions have been revised (corresponds to detached objects) in the context of a commit operation.
`List<CDOIDAndVersion>`
CDOChangeSetData.`getNewObjects()`
Returns a list of keys denoting which revisions have been added in the context of a commit operation.

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id that return CDOIDAndVersion
Modifier and Type
Method
Description
`static CDOIDAndVersion`
CDOIDUtil.`createIDAndVersion(CDOID id, int version)`
`static CDOIDAndVersion`
CDOIDUtil.`createIDAndVersion(CDOIDAndVersion source)`
Methods in org.eclipse.emf.cdo.common.id with parameters of type CDOIDAndVersion
Modifier and Type
Method
Description
`static CDOIDAndVersion`
CDOIDUtil.`createIDAndVersion(CDOIDAndVersion source)`

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOIDAndVersion
Modifier and Type
Method
Description
`CDOIDAndVersion`
CDODataInput.`readCDOIDAndVersion()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOIDAndVersion
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)`

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.common.revision

Subinterfaces of CDOIDAndVersion in org.eclipse.emf.cdo.common.revision
Modifier and Type
Interface
Description
`interface`
`CDORevision`
Encapsulates the immutable system information of a single CDO `object` between two `commits` in a `branch` and provides access to its modeled `data`.
`static interface`
`CDORevisionCache.EvictionEvent`
An `event` fired from a `revision cache` for `revisions` that are evicted because they are no longer strongly referenced when free memory runs low.
`interface`
`CDORevisionKey`
Uniquely identifies a `revision` by version in a `branch`.
Method parameters in org.eclipse.emf.cdo.common.revision with type arguments of type CDOIDAndVersion
Modifier and Type
Method
Description
`static CDOChangeSetData`
CDORevisionUtil.`createChangeSetData(List<CDOIDAndVersion> newObjects, List<CDORevisionKey> changedObjects, List<CDOIDAndVersion> detachedObjects)`

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.common.revision.delta

Subinterfaces of CDOIDAndVersion in org.eclipse.emf.cdo.common.revision.delta
Modifier and Type
Interface
Description
`interface`
`CDORevisionDelta`
Represents the change delta between two `revisions` of a CDO object.

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOIDAndVersion
Modifier and Type
Method
Description
`CDOIDAndVersion`
CDODataInputImpl.`readCDOIDAndVersion()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOIDAndVersion
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)`

## Uses of CDOIDAndVersion in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDOIDAndVersion in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDORevisionDelta`
If the meaning of this type isn't clear, there really should be more of a description here...
Classes in org.eclipse.emf.cdo.spi.common.revision that implement CDOIDAndVersion
Modifier and Type
Class
Description
`class`
`AbstractCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`BaseCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DelegatingCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`DetachedCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`PointerCDORevision`
A `synthetic` revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.
`class`
`StubCDORevision`
If the meaning of this type isn't clear, there really should be more of a description here...
`class`
`SyntheticCDORevision`
A synthetic revision that represents the initial period of an object in a `branch` when the object is still associated with a revision from one of the baseline branches.

## Uses of CDOIDAndVersion in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOIDAndVersion
Modifier and Type
Method
Description
`List<CDOIDAndVersion>`
InternalCDOView.ViewInvalidationData.`getAllDetachedObjects()`
`List<CDOIDAndVersion>`
CDOSessionProtocol.RefreshSessionResult.`getDetachedObjects(CDOBranch branch)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOIDAndVersion
Modifier and Type
Method
Description
`void`
InternalCDOView.ViewInvalidationData.`setAllDetachedObjects(List<CDOIDAndVersion> allDetachedObjects)`